Description

When I was trying to upgrade Redmine Blogs plugin to 0.9.x Redmine and to implement an activity and a search providers I have

found that the search engine (acts_as_searcheable, search_controller) in Redmine has hard-coded list of search providers/types

without ability to add a new providers/types.

Thus I found that the activity/event/search subsystems are project dependent. In activity/event I have found workaround, but in

search don't.

I have patched acts_as_searchable.rb and search_controller.rb to solve described problem.

Eric,

Could you review the patch and if it's OK apply it to the core?

Related issues:

Related to Redmine - Feature #3936: configurable list of models to include in... Closed 2009-09-28

History

#1 - 2010-02-12 21:03 - Andrew Chaika

There is a similar issue #3936.

#2 - 2010-02-17 16:04 - Andrew Chaika

- Assignee changed from Eric Davis to Jean-Philippe Lang

Jean-Philippe, or anyone from the core developers team, could you review this patch and say what additionally I must do to bring such functionality to

the Redmine code?

#3 - 2010-02-17 20:25 - Jean-Philippe Lang

It breaks a test:

  1) Failure:

test_search_for_projects(SearchControllerTest) [/test/functional/search_controller_test.rb:28]:

<false> is not true.

 I'll have a deeper look asap.

#4 - 2010-02-17 20:28 - Jean-Philippe Lang

Another point about your patch, searchable types order depends on models loading order.

The search form is kind of messed up.

#5 - 2010-12-21 05:58 - Mischa The Evil

- Status changed from New to Closed

- Assignee deleted (Jean-Philippe Lang)

Closed the issue as being implemented by issue #3936.

Files

acts_as_searchable_registration_and_search_by_global_modules.patch2.51 KB 2010-02-11 Andrew Chaika
